Subject: Re: [net-next PATCH 2/3] net: dsa: qca8k: make learning configurable and keep off if standalone

From: Simon Horman <[email-masked]>
Date: Wed, 26 Jul 2023 15:15:20 +0200

On Wed, Jul 26, 2023 at 03:14:35PM +0300, Vladimir Oltean wrote:
> On Wed, Jul 26, 2023 at 10:19:34AM +0200, Simon Horman wrote:
> > > +int qca8k_port_pre_bridge_flags(struct dsa_switch *ds, int port,
> > > +				struct switchdev_brport_flags flags,
> > > +				struct netlink_ext_ack *extack)
> > > +{
> > > +	if (flags.mask & ~BR_LEARNING)
> > > +		return -EINVAL;
> > 
> > If I am reading things right then some implementation of this callback
> > return -EINVAL when they see unexpected flags. And some seem not to
> > - possibly because all flags are expected.
> > 
> > So I'm slightly unsure if this is correct or not.
> 
> Which ones don't? All handlers of SWITCHDEV_ATTR_ID_PORT_PRE_BRIDGE_FLAGS
> should return -EINVAL for changes made to bridge port flags that aren't
> supported.

Sorry, on a second look I see that my statement above is incorrect.
I do wonder what it was I saw this morning. But this afternoon
I see that all users check flags and return -EINVAL as appropriate.